.hp-container {
    position: relative;
    font-size: 20px;
    font-weight: bold;
    font-family: arial;
    color: red;
    text-shadow: 0px 1px 2px black;
}

.hp-container__heart {
    transition: 1.5s;
    position: absolute;
    left: 0px;
    top: -1px;
    font-size: 25px;
    display: inline-block;
    transform:scaleX(1.3);
    background-image: linear-gradient(to right, #ffffff, #ffffff, #fff);
    color: #ff0d00;
    -webkit-background-clip: text;
    background-clip: text;
    text-shadow: 0px -1px 0px rgba(255, 167, 167, 0.64), 1px 2px 2px rgba(0,0,0,0.4);
    animation: pump 1s infinite alternate-reverse;     
}

.hp-container__heart-dead {
    color:#855f5fa6;
    animation: none;
}

@keyframes pump {
    0% {transform:scale(1.3, 1.0);}
    100% {transform:scale(1.5, 1.2);}
}

.hp-container__life-bar-border {
    position: absolute;
    left: 24px;
    top: 3px;
    width:180px;
    display: inline-block;
    border: 1px outset #7b7b7b;
    height: 18px;
    border-radius: 20px;
    overflow: hidden;
    background: linear-gradient(to bottom, #3338dc59 0%, #031df04f 10%,rgba(109, 82, 248, 0.17) 50%, #798cea52 100%);
    box-shadow: 1px 1px 3px rgba(0,0,0,0.45);
}

.hp-container__life-bar-fill {
    transition: .2s;
    width: 177px;
    display: inline-block;
    background: linear-gradient(to bottom, #f28888 0%, #8b0101 10%,#fd4646 50%, #8b0101 100%);
    height: 22px;
}

.hp-container__hp-number {
    position: absolute;
    left: 215px;
    top: 2px;
    text-align: left;
    color:#c1c0c0;
    text-shadow: 1px 1px 1px #000000; 
    font-family: sans-serif;
}


.mp-container {
    position: relative;
    font-size: 20px;
    font-weight: bold;
    font-family: arial;
}

.mp-container__yin-yang {
    transition: 1.5s;
    position: absolute;
    left: -4px;
    top: -4px;
    font-size: 25px;
    display: inline-block;
    color: #5551c5;
    text-shadow: 0px -1px 0px rgba(180, 193, 255, 0.64), 0px 1px 0px rgb(9, 13, 90), 1px 1px 3px rgba(0,0,0,0.45), 0px 0px 0px rgba(255,255,255,0.85);
    animation: yin-yang .9s infinite alternate-reverse;     
}

@keyframes yin-yang {
    0% {text-shadow: 0px -1px 0px rgba(180, 193, 255, 0.64), 0px 1px 0px rgb(9, 13, 90), 1px 1px 3px rgba(0,0,0,0.45), 0px 0px 0px rgba(255,255,255,0.85);}    
    100% {text-shadow: 0px -1px 0px rgba(180, 193, 255, 0.64), 0px 1px 0px rgb(9, 13, 90), 1px 1px 3px rgba(0,0,0,0.45), 0px 0px 10px rgba(255,255,255,0.85);}
}

.mp-container__yin-yang-dead {
    color:#47475094;
    animation: none;
}

.mp-container__mana-bar-border {
    transition: .3s;
    position: absolute;
    left: 24px;
    top: 3px;
    width:180px;
    display: inline-block;
    border: 1px outset #7b7b7b;
    height: 18px;
    border-radius: 20px;
    overflow: hidden;
    background: linear-gradient(to bottom, #3338dc59 0%, #031df04f 10%,rgba(109, 82, 248, 0.17) 50%, #798cea52 100%);
    box-shadow: 1px 1px 3px rgba(0,0,0,0.45);
}

.mp-container__mana-bar-fill {
    width: 177px;
    display: inline-block;
    background: linear-gradient(to bottom, #a0a3ff 0%, #342cae 10%,#6361cf 50%, #262d85 90%, #000a85 100%);
    height: 22px;
}

.mp-container__mp-number {
    position: absolute;
    left: 215px;
    top: 2px;
    text-align: left;
    color:#c1c0c0;
    text-shadow: 1px 1px 1px #000000; 
    font-family: sans-serif;
}
